net.corda.core.utilities

## Class Change.Rendering

- net.corda.core.utilities.ProgressTracker.Change
- - net.corda.core.utilities.ProgressTracker.Change.Rendering

- Enclosing class:
    ProgressTracker.Change

      public static class Change.Rendering
      extends ProgressTracker.Change

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.corda.core.utilities.ProgressTracker.Change

      `Change.Position, Change.Rendering, Change.Structural`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Rendering(ProgressTracker tracker, ProgressTracker.Step ofStep)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ProgressTracker.Step` | `getOfStep()`
    `ProgressTracker` | `getTracker()`
    `java.lang.String` | `toString()`

- - ### Constructor Detail

    - #### Rendering

          public Rendering(ProgressTracker tracker,
                           ProgressTracker.Step ofStep)

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

    - #### getTracker

          public ProgressTracker getTracker()

    - #### getOfStep

          public ProgressTracker.Step getOfStep()